Get

Get
Fetch a specific catalog source for the given ID.

Returns the catalog source with the supplied ID.

Request
URI
GET
https://{vcfa-fqdn}/catalog/api/admin/sources/{sourceId}
COPY
Path Parameters
string
sourceId
Required  

Catalog source ID


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns CatalogSource of type(s) application/json
{
    "config": {},
    "createdAt": "string",
    "createdBy": "string",
    "creator": {
        "email": "string",
        "firstname": "string",
        "id": "string",
        "lastname": "string",
        "type": "string"
    },
    "description": "string",
    "global": false,
    "iconId": "string",
    "id": "string",
    "itemsFound": 0,
    "itemsImported": 0,
    "lastImportCompletedAt": "string",
    "lastImportErrors": [
        "string"
    ],
    "lastImportStartedAt": "string",
    "lastUpdatedAt": "string",
    "lastUpdatedBy": "string",
    "lastUpdater": {
        "email": "string",
        "firstname": "string",
        "id": "string",
        "lastname": "string",
        "type": "string"
    },
    "name": "string",
    "originOrgId": "string",
    "projectId": "string",
    "typeId": "string"
}
object
config
Required  

config

string As date-time As date-time
createdAt
Read-Only  

Creation time

string
createdBy
Read-Only  

Created By

object
creator
Read-Only  

Expanded policy last updater details

string
description
Optional
Constraints: maxLength: 2000

Catalog Source description

boolean
global
Optional

Global flag indicating that all the items can be requested across all projects.

string As uuid As uuid
iconId
Read-Only  

Default Icon Id

string As uuid As uuid
id
Required  

Catalog Source id

integer As int32 As int32
itemsFound
Read-Only  

Number of items found

integer As int32 As int32
itemsImported
Read-Only  

Number of items imported.

string As date-time As date-time
lastImportCompletedAt
Read-Only  

Last import completion time

array of string
lastImportErrors
Read-Only  

Last import error(s)

string As date-time As date-time
lastImportStartedAt
Read-Only  

Last import start time

string As date-time As date-time
lastUpdatedAt
Read-Only  

Update time

string
lastUpdatedBy
Read-Only  

Updated By

object
lastUpdater
Read-Only  

Expanded policy last updater details

string
name
Required  
Constraints: maxLength: 1024

Catalog Source name

string
originOrgId
Optional

Org id where the source content originates from

string
projectId
Optional

Project id where the source content originates from

string
typeId
Required  

Type of source, e.g. blueprint, CFT... etc


401

Unauthorized

Returns CatalogSource of type(s) application/json
{
    "config": {},
    "createdAt": "string",
    "createdBy": "string",
    "creator": {
        "email": "string",
        "firstname": "string",
        "id": "string",
        "lastname": "string",
        "type": "string"
    },
    "description": "string",
    "global": false,
    "iconId": "string",
    "id": "string",
    "itemsFound": 0,
    "itemsImported": 0,
    "lastImportCompletedAt": "string",
    "lastImportErrors": [
        "string"
    ],
    "lastImportStartedAt": "string",
    "lastUpdatedAt": "string",
    "lastUpdatedBy": "string",
    "lastUpdater": {
        "email": "string",
        "firstname": "string",
        "id": "string",
        "lastname": "string",
        "type": "string"
    },
    "name": "string",
    "originOrgId": "string",
    "projectId": "string",
    "typeId": "string"
}
object
config
Required  

config

string As date-time As date-time
createdAt
Read-Only  

Creation time

string
createdBy
Read-Only  

Created By

object
creator
Read-Only  

Expanded policy last updater details

string
description
Optional
Constraints: maxLength: 2000

Catalog Source description

boolean
global
Optional

Global flag indicating that all the items can be requested across all projects.

string As uuid As uuid
iconId
Read-Only  

Default Icon Id

string As uuid As uuid
id
Required  

Catalog Source id

integer As int32 As int32
itemsFound
Read-Only  

Number of items found

integer As int32 As int32
itemsImported
Read-Only  

Number of items imported.

string As date-time As date-time
lastImportCompletedAt
Read-Only  

Last import completion time

array of string
lastImportErrors
Read-Only  

Last import error(s)

string As date-time As date-time
lastImportStartedAt
Read-Only  

Last import start time

string As date-time As date-time
lastUpdatedAt
Read-Only  

Update time

string
lastUpdatedBy
Read-Only  

Updated By

object
lastUpdater
Read-Only  

Expanded policy last updater details

string
name
Required  
Constraints: maxLength: 1024

Catalog Source name

string
originOrgId
Optional

Org id where the source content originates from

string
projectId
Optional

Project id where the source content originates from

string
typeId
Required  

Type of source, e.g. blueprint, CFT... etc


404

Not Found

Returns CatalogSource of type(s) application/json
"CatalogSource Object"
object
config
Required  

config

string As date-time As date-time
createdAt
Read-Only  

Creation time

string
createdBy
Read-Only  

Created By

object
creator
Read-Only  

Expanded policy last updater details

string
description
Optional
Constraints: maxLength: 2000

Catalog Source description

boolean
global
Optional

Global flag indicating that all the items can be requested across all projects.

string As uuid As uuid
iconId
Read-Only  

Default Icon Id

string As uuid As uuid
id
Required  

Catalog Source id

integer As int32 As int32
itemsFound
Read-Only  

Number of items found

integer As int32 As int32
itemsImported
Read-Only  

Number of items imported.

string As date-time As date-time
lastImportCompletedAt
Read-Only  

Last import completion time

array of string
lastImportErrors
Read-Only  

Last import error(s)

string As date-time As date-time
lastImportStartedAt
Read-Only  

Last import start time

string As date-time As date-time
lastUpdatedAt
Read-Only  

Update time

string
lastUpdatedBy
Read-Only  

Updated By

object
lastUpdater
Read-Only  

Expanded policy last updater details

string
name
Required  
Constraints: maxLength: 1024

Catalog Source name

string
originOrgId
Optional

Org id where the source content originates from

string
projectId
Optional

Project id where the source content originates from

string
typeId
Required  

Type of source, e.g. blueprint, CFT... etc


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/catalog/api/admin/sources/{sourceId}